Page MenuHomePhabricator

Create separate ObjectFactory library
Closed, ResolvedPublic

Description

Create a small library for ObjectFactory, since it is a dependency of ObjectCache/T146257: Create objectcache/BagOStuff library

  • Create repo, bootstrap with mediawiki/tools/cookiecutter-library
  • Set up Jenkins jobs:
    • composer-test for patch and submit pipeline (use composer-test-package template in zuul/layout)
    • publish Doxygen
    • publish Coverage
  • Initial import of code, tests, and documentation.
    • Use PSR-4 autoloader
    • Use "Wikimedia" namespace
    • phpcs
    • phpunit
  • Publish composer package to Packagist, under wikimedia/.
  • Add documentation link to https://doc.wikimedia.org.
  • Ensure Gerrit-Phabricator replication.
  • Ensure Gerrit-GitHub replication.
  • Create Phabricator project for bugs
  • Create documentation page on mediawiki.org. https://www.mediawiki.org/wiki/ObjectFactory
  • Update mediawiki/core to use the package.

Details

Related Gerrit Patches:
mediawiki/core : masterUse wikimedia/object-factory 1.0.0
mediawiki/vendor : masterAdd wikimedia/object-factory 1.0.0
integration/config : masterAdd mediawiki/libs/ObjectFactory
mediawiki/libs/ObjectFactory : masterInitial re-work into a library

Event Timeline

Legoktm created this task.Oct 3 2016, 1:42 AM

Change 405914 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/libs/ObjectFactory@master] Initial commit

https://gerrit.wikimedia.org/r/405914

Krinkle moved this task from Untriaged to In Dev on the Librarization board.Jan 23 2018, 7:49 PM

Change 405914 merged by BryanDavis:
[mediawiki/libs/ObjectFactory@master] Initial re-work into a library

https://gerrit.wikimedia.org/r/405914

Krinkle updated the task description. (Show Details)Jan 26 2018, 8:00 PM
Krinkle updated the task description. (Show Details)
Krinkle updated the task description. (Show Details)Jan 26 2018, 8:04 PM
Krinkle updated the task description. (Show Details)

Change 406795 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[integration/config@master] Add mediawiki/libs/ObjectFactory

https://gerrit.wikimedia.org/r/406795

Change 406795 merged by jenkins-bot:
[integration/config@master] Add mediawiki/libs/ObjectFactory

https://gerrit.wikimedia.org/r/406795

Change 407617 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/vendor@master] Add wikimedia/object-factory 1.0.0

https://gerrit.wikimedia.org/r/407617

Change 407618 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] Use wikimedia/object-factory 1.0.0

https://gerrit.wikimedia.org/r/407618

Legoktm updated the task description. (Show Details)Feb 2 2018, 10:29 AM
Legoktm updated the task description. (Show Details)Feb 2 2018, 10:36 AM

Change 407617 merged by jenkins-bot:
[mediawiki/vendor@master] Add wikimedia/object-factory 1.0.0

https://gerrit.wikimedia.org/r/407617

Legoktm updated the task description. (Show Details)Feb 4 2018, 8:58 PM

Change 407618 merged by jenkins-bot:
[mediawiki/core@master] Use wikimedia/object-factory 1.0.0

https://gerrit.wikimedia.org/r/407618

Legoktm updated the task description. (Show Details)Feb 10 2018, 6:30 AM
Legoktm closed this task as Resolved.Feb 10 2018, 6:54 AM
Legoktm triaged this task as Medium priority.
Legoktm added a project: ObjectFactory.
Legoktm updated the task description. (Show Details)